%lib_package faac 0
%lib_package mp4v2 0

Summary: Freeware Advanced Audio Coder
Name: faac
Version: 1.25
Release: 2%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++
BuildRequires: dos2unix
%lib_dependencies
# There is no upstream libmp4v2
Provides: libmp4v2
Obsoletes: libmp4v2

%description
The ISO/MPEG 2/4 AAC Encoder Library provides a high-level interface
for encodin g MPEG2 and MPEG4 ISO AAC files.

%prep
%setup -q -n %{name}
dos2unix bootstrap configure.in

%build
sh -x ./bootstrap
%configure --disable-static --with-mp4v2
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO docs/*
%{_bindir}/faac

%changelog
* Fri Feb 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.25-2
- Get package-w-o-upstream out of the way.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

